 body {
     display: flex;
     align-items: center;
     justify-content: center;
     min-height: 100vh;
     margin: 0;
     background: black;
 }

 .telegram-logo {
     position: relative;
     width: 35em;
     height: 35em;
     background: linear-gradient(135deg, #34b7f1 0%, #0088cc 100%);
     border-radius: 50%;
     display: flex;
     align-items: center;
     justify-content: center;
     box-shadow: 0 10px 20px rgba(0, 136, 204, 0.3);
 }

 .telegram-logo::before {
     content: '';
     position: absolute;
     width: 160px;
     height: 225px;
     border-end-end-radius: 2.25em;
     border-end-start-radius: 1.25em;
     clip-path: polygon(40% 0%, 52% 0%, 100% 100%, 0% 100%);
     transform: rotate(24deg) skewY(10deg) skewX(-5deg) translateX(0%) translateY(0%);
     background: white;
     left: 50%;
     right: 50%;
 }


 .telegram-logo::after {
     content: '';
     position: absolute;
     width: 80px;
     height: 300px;
     border-radius: 1.5em;
     clip-path: polygon(25% 0%, 60% 0%, 100% 100%, 0% 100%);
     transform: rotate(67deg) skewY(-45deg) skewX(1deg) translateX(-75%) translateY(-10%);
     background: white;
     left: 50%;
     right: 50%;
 }

 .fragment {
     display: block;
     position: absolute;
     z-index: 9999;
     width: 14px;
     height: 10px;
     border-top: 2.8em solid white;
     border-right: 2.8em solid white;
     border-left: 3.2em solid transparent;
     border-bottom: 3.2em solid transparent;
     border-radius: 50%;
     transform: rotate(-5deg) skewX(-40deg);
     box-shadow: .65em -1em 0 0 white;
     top: 11.7em;
     right: 11.2em;
 }